## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.1/projects/{projectId}/logs

### Try it

### Get Log Entries

#### cURL

```
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs \
  --header 'X-API-Key: <api-key>'
```

#### Python

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript

```
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```


```

### Response Codes

- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504

### Example Response

```
{
  "items": [\
    {\
      "_id": "<string>",\
      "timestamp": "2023-11-07T05:31:56Z",\
      "msg": "<string>",\
      "meta": {},\
      "traceId": "<string>"\
    }\
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Errors

1. **Unauthorized Error**
   ```
   {
     "type": "Unauthorized",
     "title": "Unauthorized Error",
     "status": 401,
     "detail": "<string>",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 401,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {}
   }
   ```
2. **Payment Required Error**
   ```
   {
     "type": "Payment Required",
     "title": "Payment Required Error",
     "status": 402,
     "detail": "Validation failed. Missing payload.",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 402,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {}
   }
   ```

### Authorizations

- **X-API-Key**  
  Type: string  
  Location: header  
  Required: Yes

### Headers

- **Accept**  
  Type: enum<string>  
  Description: The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

- **projectId**  
  Type: string  
  Required: Yes  
  Description: The unique identifier for the Project.
  Required string length: `24`
  Pattern: `^[a-z0-9]{24}$`

### Query Parameters

- **filter**  
  Type: string  
  Description: The type, msg or traceId of the log entry to filter the records

- **limit**  
  Type: integer  
  Description: The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.

- **skip**  
  Type: integer  
  Description: The number of items to skip before returning the results. Use this parameter with `limit` for offset-based pagination. The default value is 0.

- **sort**  
  Type: string  
  Description: The order in which results are returned. Set a sorting rule in the format `field:direction`, where direction can be `asc` for ascending order or `desc` for descending order. For example, `name:asc` sorts by name in ascending order.

- **next**  
  Type: string  
  Required string length: `24`
  Description: The cursor that points to the next page of results. Use the `nextCursor` value returned in a previous response to request the next set of items.

- **previous**  
  Type: string  
  Required string length: `24`
  Description: The cursor that points to the previous page of results. Use the `previousCursor` value returned in a previous response to request the previous set of items.

- **type**  
  Type: enum<string>[]  
  Description: Available options: `fatal`, `error`, `warn`, `info`, `debug`, `trace`

- **userId**  
  Type: string

- **flowName**  
  Type: string

- **startDate**  
  Type: string<date-time>  
  Required: Yes  
  Description: The start date for filtering log entries (ISO 8601 format). If not provided, defaults to 1 hour before endDate.
  Example: `"2025-08-11T10:00:00.000Z"`

- **endDate**  
  Type: string<date-time>  
  Required: Yes  
  Description: The end date for filtering log entries (ISO 8601 format). If not provided, defaults to the current time.
